View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17294Bug reportsSurvey editingpublic2021-10-21 12:33
Reporterknut.astrup Assigned Toollehar  
PrioritynoneSeveritypartial_block 
Status closedResolutionunable to reproduce 
Product Version4.5.x 
Summary17294: Placeholders {VALIDFROM} and {VALIDUNTIL} not supported in email-templates
DescriptionWhen entering the placeholders {VALIDFROM} and {VALIDUNTIL} in an email template, the actual invitation email does not contain the start- and stopdates but only empty fields.
Steps To ReproduceJust enter {VALIDFROM} and {VALIDUNTIL} in an invitation email template and send out invitations.
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)Versjon 4.5.1+210420
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database type & versionmysql, 5.7.33 / 5.7.33-cll-lve
Server OS (if known)LiteSpeed
Webserver software & version (if known)HTTP/1.1
PHP Version7.4.16

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2021-05-11 11:44

administrator   ~64335

Is this still broken in 4.6.2?
ollehar

ollehar

2021-05-11 12:59

administrator   ~64336

Possibly this: 0f8dcc2ec477125117c775db6a63bc5bd110683f
ollehar

ollehar

2021-05-11 13:01

administrator   ~64337

Can you attach your lss file, please?
ollehar

ollehar

2021-05-11 14:23

administrator   ~64339

@DenisChenu Related to LimeMailer?
DenisChenu

DenisChenu

2021-05-11 14:26

developer   ~64340

Maybe,

Update are done here : https://github.com/LimeSurvey/LimeSurvey/blob/ef13ffdf153a71f297e77ad34037d59bf4355c76/application/core/LimeMailer.php#L628-L632

Only for token email : invitation, reminder, unsure for confirmation.

But clearly : a simple lss + step to reproduce can help …
ollehar

ollehar

2021-05-11 14:29

administrator   ~64341

Unit-test for LimeMailer could guarantee functionality... ;) Phew.
DenisChenu

DenisChenu

2021-05-11 14:34

developer   ~64342

Need a reproduce way : it work with 4.6.2
Mazi

Mazi

2021-10-07 12:46

partner   ~66790

@knut.astrup can you still reproduce this with the latest 5.x version?
c_schmitz

c_schmitz

2021-10-21 12:33

administrator   ~66886

Hello knut.astrup,
I checked this with the latest version and could not reproduce, so this is most likely fixed for good.
Therefore, I am closing this issue. If you still can reproduce the issue using the latest version, please feel free to re-open the issue.
Thank you!

c_schmitz

Issue History

Date Modified Username Field Change
2021-05-11 11:34 knut.astrup New Issue
2021-05-11 11:44 ollehar Note Added: 64335
2021-05-11 12:16 ollehar Severity minor => partial_block
2021-05-11 12:55 ollehar Sync to Zoho Project => |Yes|
2021-05-11 12:59 ollehar Note Added: 64336
2021-05-11 13:01 ollehar Note Added: 64337
2021-05-11 13:02 ollehar Assigned To => ollehar
2021-05-11 13:02 ollehar Status new => feedback
2021-05-11 14:23 ollehar Note Added: 64339
2021-05-11 14:26 DenisChenu Note Added: 64340
2021-05-11 14:29 ollehar Note Added: 64341
2021-05-11 14:34 DenisChenu Note Added: 64342
2021-05-11 14:34 DenisChenu File Added: Capture d’écran_2021-05-11_14-33-35.png
2021-10-07 12:46 Mazi Note Added: 66790
2021-10-07 12:46 Mazi Bug heat 4 => 6
2021-10-21 12:33 c_schmitz Status feedback => closed
2021-10-21 12:33 c_schmitz Resolution open => unable to reproduce
2021-10-21 12:33 c_schmitz Note Added: 66886
2021-10-21 12:33 c_schmitz Bug heat 6 => 8